class ProfileModel {
  String fullName;
  String mobilePhone;
  String nik;
  String avatarUrl;

  ProfileModel({
    required this.fullName,
    required this.mobilePhone,
    required this.nik,
    required this.avatarUrl,
  });

  factory ProfileModel.json(Map<String, dynamic> json) {
    return ProfileModel(
      fullName: json['full_name'],
      mobilePhone: json['mobile_phone'],
      nik: json['nik'],
      avatarUrl: json['profile_image_url'] ?? "",
    );
  }
}
